Name:          cutecom
Version:       0.51.0
Release:       1mamba
Summary:       A graphical serial terminal, like minicom
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.com/cutecom/cutecom
Source:        https://gitlab.com/cutecom/cutecom.git/v%{version}/cutecom-%{version}.tar.bz2
Patch0:        %{name}-0.14.2-desktopfile.patch
Patch1:        cutecom-0.51.0-fix_qpainterpath.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5SerialPort-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END

%description
CuteCom is a graphical serial terminal, like minicom.

%debug_package

%prep
%setup -q
%patch 0 -p1
%patch 1 -p0 -b .fix_qpainterpath

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

install -D -m0644 cutecom.1 %{buildroot}%{_mandir}/man1/cutecom.1
install -D -m0644 cutecom.desktop %{buildroot}%{_datadir}/applications/cutecom.desktop
install -D -m0644 cutecom.png %{buildroot}%{_datadir}/pixmaps/cutecom.png

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/cutecom
%{_datadir}/applications/cutecom.desktop
%{_datadir}/pixmaps/cutecom.png
%{_mandir}/man1/cutecom.1*
%doc LICENSE

%changelog
* Fri Nov 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.51.0-1mamba
- update to 0.51.0

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 0.22.0-2mamba
- automatic rebuild by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 0.22.0-1mamba
- automatic update by autodist

* Thu Dec 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.0-1mamba
- automatic update by autodist

* Sat Jul 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.2-1mamba
- update to 0.14.2

* Thu Feb 09 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.2-1qilnx
- package created by autospec
